<?php 
include_once("conexion.class.php");

class Cliente{
 //constructor	
 	var $con;
 	function Cliente(){
 		$this->con=new DBManager;
 	}

	function insertar($campos){
		if($this->con->conectar()==true){
			//print_r($campos);
			//echo "INSERT INTO cliente (nombres, ciudad, sexo, telefono, fecha_nacimiento) VALUES ('".$campos[0]."', '".$campos[1]."','".$campos[2]."','".$campos[3]."','".$campos[4]."')";
			return mysql_query("INSERT INTO persona (cedula_per, apellidos_per, nombres_per , lugarNac_per, fechaNac_per) VALUES ('".$campos[0]."', '".$campos[1]."','".$campos[2]."','".$campos[3]."','".$campos[4]."')");
		}
	}
	
	function actualizar($campos,$id_per){
		if($this->con->conectar()==true){
			//print_r($campos);
			return mysql_query("UPDATE persona SET cedula_per = '".$campos[0]."', apellidos_per = '".$campos[1]."', nombres_per = '".$campos[2]."', lugarNac_per = '".$campos[3]."', fechaNac_per = '".$campos[4]."' WHERE id_per = ".$id_per);
		}
	}
	
	function mostrar_cliente($id_per){
		if($this->con->conectar()==true){
			return mysql_query("SELECT cedula_per, apellidos_per, nombres_per , lugarNac_per, fechaNac_per FROM persona WHERE id_per=".$id_per);
		}
	}

	function mostrar_clientes(){
		if($this->con->conectar()==true){
			return mysql_query("SELECT cedula_per, apellidos_per, nombres_per , lugarNac_per, fechaNac_per FROM persona ORDER BY id_per DESC");
		}
	}

	function eliminar($id_per){
		if($this->con->conectar()==true){
			return mysql_query("DELETE cedula_per, apellidos_per, nombres_per , lugarNac_per, fechaNac_per FROM persona WHERE id_per=".$id);
		}
	}
}
?>